# $Revision: 1.38 $, $Date: 2008/06/20 09:58:45 $
Summary:	Programs to control tape device operations
Summary(de.UTF-8):	Programme zum Kontrollieren von Streamern
Summary(es.UTF-8):	Controla la operación de drivers de cinta magnética (mt)
Summary(fr.UTF-8):	Contrôle les opérations du lecteur de bandes magnétiques (mt)
Summary(pl.UTF-8):	Program do kontroli napędów taśmowych
Summary(pt_BR.UTF-8):	Controla a operação de drivers de fita magnética (mt)
Summary(ru.UTF-8):	Программы управления работой накопителей на магнитной ленте (mt)
Summary(tr.UTF-8):	Manyetik teyp sürücüsünün işlevsel kontrolü (mt)
Summary(uk.UTF-8):	Програми управління роботою накопичувачів на магнітній стрічці (mt)
Name:		mt-st
Version:	1.1
Release:	1
License:	BSD
Group:		Applications/System
Source0:	ftp://metalab.unc.edu/pub/Linux/system/backup/%{name}-%{version}.tar.gz
# Source0-md5:	fdd5f5ec673c9f630a102ceff7612774
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	c2a75e15c360e4c8b2ef350cd6c2c45e
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-errno.h.patch
Patch2:		%{name}-remove-unused-code.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin
%define		_sbindir	/sbin

%description
The mt-st package contains tape drive management programs, which can
control rewinding, ejecting, skipping files and blocks and more.

%description -l de.UTF-8
Das mt-st-Paket enthält die mt und st Streamer-Management-Programme.
mt (für Magnetbandlaufwerke) und st (für SCSI-Streamer) können
Rückspulen, auswerfen, Dateien und blocks auslassen, und mehr.

%description -l es.UTF-8
El programa mt puede ser usado para desarrollar varias operaciones en
cintas, incluyendo retroceder, expulsar, saltar archivos y bloques,
etc.

%description -l fr.UTF-8
Le programme mt peut servir à réaliser de nombreuses opérations sur
les bandes, comme le rembobinage, l'éjection, le saut de fichiers et
de blocs, etc.

%description -l pl.UTF-8
Pakiet mt-st zawiera programy służące do kontroli napędów taśmowych i
umożliwiające przewijanie, przesuwanie taśmy i wyjmowanie z napędu
kaset z taśmą.

%description -l pt_BR.UTF-8
O programa mt pode ser usado para desenvolver várias operações em
fitas, incluindo retroceder, ejetar, pular arquivos e blocos, etc.

%description -l ru.UTF-8
Пакет mt-st содержит программы управления лентами mt и st. Они могут
управлять перемоткой, выталкиванием ленты, пропуском файлов и блоков и
т.п.

%description -l tr.UTF-8
mt programı teypler üzerinde rewind, eject, dosya, blok atlaması gibi
birçok işlemin gerçekleştirilmesinde kullanılabilir.

%description -l uk.UTF-8
Пакет mt-st містить програми управління стрічками mt та st. Вони
можуть управляти перемоткою, виштовхуванням стрічки, пропуском файлів
та блоків та інше.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
# seems obsolete
#%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.stinit mt-st-*.lsm
%config(noreplace) %{_sysconfdir}/stinit.def
%attr(755,root,root) %{_bindir}/mt
%attr(755,root,root) %{_sbindir}/stinit
%{_mandir}/man1/mt.1*
%lang(es) %{_mandir}/es/man1/mt.1*
%lang(ja) %{_mandir}/ja/man1/mt.1*
%lang(pl) %{_mandir}/pl/man1/mt.1*
%{_mandir}/man8/stinit.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mt-st.spec,v $
Revision 1.38  2008/06/20 09:58:45  adamg
- updated to 1.1

Revision 1.37  2007/05/18 20:15:47  sparky
- added remove-unused-code patch to fix build with recent llh

Revision 1.36  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.34  2006/01/16 21:27:04  hawk
- updated to 0.9b

Revision 1.33  2005/06/18 16:18:28  areq
- 0.9

Revision 1.32  2005/05/18 11:25:46  qboosh
- reformatted descs (tw=70)

Revision 1.31  2004/09/02 10:25:19  snurf
- typos / formatting / etc.

Revision 1.30  2004/04/24 14:50:48  undefine
- update to 0.8

Revision 1.29  2003/12/06 16:23:35  undefine
- release 3 to rebuild with ac

Revision 1.28  2003/08/20 15:33:34  qboosh
- no // in paths, other cosmetics

Revision 1.27  2003/06/02 15:18:30  ankry
- added/changed non-english-man-pages URL

Revision 1.26  2003/05/28 12:59:48  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 05:50:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/03/26 13:14:24  orzech
- fixed en & pl descriptions (less misleading, similar to fr ones)
- adapterized

Revision 1.23  2002/11/27 22:06:23  juandon
- new %%doc

Revision 1.22  2002/09/05 23:48:39  undefine
- add es/pt/ru/uk tranlations from ksi/cl

Revision 1.21  2002/02/23 03:54:21  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:13:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2002/01/17 03:12:31  kloczek
- updated to 0.7 (few new feactures).

Revision 1.17  2001/11/19 07:20:53  ankry
- added es, ja, pl man pages
- release 3

Revision 1.16  2001/05/04 09:07:21  kloczek
- release 2.

Revision 1.15  2001/04/30 16:05:25  kloczek
- added using %%{rpmcflags} macro.

Revision 1.14  2001/01/25 20:03:25  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.12  2000/12/04 19:51:12  kloczek
- updated to 0.6,
- removed obsoleted patches,
- added DESTDIR style %install (added DESTDIR patch),
- added default stinit config file in %%{_sysconfdir}/stinit.def
  as %config(noreplace).

Revision 1.11  2000/10/12 03:22:43  kloczek
- typo.

Revision 1.10  2000/10/12 02:06:42  kloczek
- release 11: use new rpm automation.

Revision 1.9  2000/09/08 04:49:44  kloczek
- updated de and daaded pl translation.

Revision 1.8  2000/09/08 04:42:43  kloczek
- release 10,
- merged RH patches.

Revision 1.7  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.5  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  1999/08/22 15:16:54  kloczek
- added de, fr, tr translations from LinuxMandrake spec,
- more rpm macros.

Revision 1.2  1999/08/20 17:43:36  baggins
- cleanup for PLD

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Wed Feb 10 1999 Preston Brown <pbrown@redhat.com>
- upgrade to .5b, which fixes some cmd. line arg issues (bugzilla #18)

* Thu Jul 23 1998 Jeff Johnson <jbj@redhat.com>
- package for 5.2.

* Sun Jul 19 1998 Andrea Borgia <borgia@cs.unibo.it>
- updated to version 0.5
- removed the touch to force the build: no binaries are included!
- added to the docs: README.stinit, stinit.def.examples
- made buildroot capable

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
